import roboticstoolbox as rtb
import spatialmath as sm
robot = rtb.ERobot.URDF('/BA/workspace/src/painting_robot_control/painting_robot_control/painting_robot.urdf')
robot1 = rtb.ERobot.URDF('/BA/ur10e.urdf')
"""print(robot)
print(T)
sol = robot.ik_LM(T)
print(sol[1])"""
print(robot1.n)

'''T = sm.SE3(0.2,0.2,0.0)*sm.SE3.Rz(0.5)
#T = robot.fkine([-2,-0.5])

print(T)
sol = robot.ik_LM(T, mask = [1,0,0,0,0,1], joint_limits = False)
print(sol[1])
print(sol[0])
print(robot.fkine(sol[0]))'''